aboutsummaryrefslogtreecommitdiffstats
path: root/version-manifest
diff options
context:
space:
mode:
authorGary Wu <gary.wu@futurewei.com>2019-07-19 10:47:12 -0700
committerYang Xu <yang.xu@futurewei.com>2019-07-19 17:51:29 +0000
commit611424ff732211b920402518a1a0abd23d658f03 (patch)
tree99a9396f0c0037f6f40a0046e36b1a5d2d04eca3 /version-manifest
parent032ff22ef20b59950a8b5fae8d2ba6d03e93ac93 (diff)
Script to pull ONAP images in helm charts
Issue-ID: INT-1117 Signed-off-by: Gary Wu <gary.wu@futurewei.com> Change-Id: Iefba99a8cec034e3fb8d0bf828aeb342ee0f8d5e
Diffstat (limited to 'version-manifest')
-rwxr-xr-xversion-manifest/src/main/scripts/pull-docker-images.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/version-manifest/src/main/scripts/pull-docker-images.sh b/version-manifest/src/main/scripts/pull-docker-images.sh
new file mode 100755
index 000000000..32efc6baf
--- /dev/null
+++ b/version-manifest/src/main/scripts/pull-docker-images.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+if [ "$#" -lt 1 ]; then
+ echo This script pulls all the ONAP docker images contained in OOM helm charts
+ echo "$0 <oom repo directory> <proxy URL>"
+ exit 1
+fi
+
+OOM_DIR=$(realpath $1)
+PROXY="nexus3.onap.org:10001"
+
+if [ "$#" -eq 2 ]; then
+ PROXY=$2
+fi
+
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+
+MANIFEST=$(mktemp --suffix=-docker-manifest.csv)
+$WORKSPACE/version-manifest/src/main/scripts/generate-docker-manifest.sh $MANIFEST $OOM_DIR
+IMAGES=$(tail -n +2 $MANIFEST | tr ',' ':')
+
+for image in $IMAGES; do
+ docker pull ${PROXY}/${image}
+done